<!DOCTYPE html>
<!-- Generated by pkgdown: do not edit by hand --><html lang="en"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><meta charset="utf-8"><meta http-equiv="X-UA-Compatible" content="IE=edge"><meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"><title>Package index • rdb</title><script src="../lightswitch.js"></script><script src="../deps/jquery-3.6.0/jquery-3.6.0.min.js"></script><meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"><link href="../deps/bootstrap-5.3.1/bootstrap.min.css" rel="stylesheet"><script src="../deps/bootstrap-5.3.1/bootstrap.bundle.min.js"></script><link href="../deps/font-awesome-6.5.2/css/all.min.css" rel="stylesheet"><link href="../deps/font-awesome-6.5.2/css/v4-shims.min.css" rel="stylesheet"><script src="../deps/headroom-0.11.0/headroom.min.js"></script><script src="../deps/headroom-0.11.0/jQuery.headroom.min.js"></script><script src="../deps/bootstrap-toc-1.0.1/bootstrap-toc.min.js"></script><script src="../deps/clipboard.js-2.0.11/clipboard.min.js"></script><script src="../deps/search-1.0.0/autocomplete.jquery.min.js"></script><script src="../deps/search-1.0.0/fuse.min.js"></script><script src="../deps/search-1.0.0/mark.min.js"></script><!-- pkgdown --><script src="../pkgdown.js"></script><meta property="og:title" content="Package index"><meta name="twitter:card" content="summary"><meta name="twitter:creator" content="@2BSalim"><meta name="twitter:site" content="@2BSalim"><meta name="robots" content="noindex"><script src="https://rpkg.dev/counter-dev.min.js" data-id="4c4963fe-9fcf-4d81-95bb-2135e114b85b" data-utcoffset="1"></script></head><body>
    <a href="#main" class="visually-hidden-focusable">Skip to contents</a>


    <nav class="navbar navbar-expand-lg fixed-top " aria-label="Site navigation"><div class="container">

    <a class="navbar-brand me-2" href="../index.html">rdb</a>

    <small class="nav-text text-danger me-auto" data-bs-toggle="tooltip" data-bs-placement="bottom" title="In-development version">0.0.9046</small>


    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbar" aria-controls="navbar" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>

    <div id="navbar" class="collapse navbar-collapse ms-3">
      <ul class="navbar-nav me-auto"><li class="nav-item"><a class="nav-link" href="../articles/rdb.html">Get started</a></li>
<li class="active nav-item"><a class="nav-link" href="../reference/index.html">Reference</a></li>
<li class="nav-item"><a class="nav-link" href="../articles/codebook.html">RDB codebook</a></li>
      </ul><ul class="navbar-nav"><li class="nav-item"><form class="form-inline" role="search">
 <input class="form-control" type="search" name="search-input" id="search-input" autocomplete="off" aria-label="Search site" placeholder="Search for" data-search-index="../search.json"></form></li>
<li class="nav-item"><a class="external-link nav-link" href="https://gitlab.com/zdaarau/rpkgs/rdb/" aria-label="GitLab"><span class="fa fab fa-gitlab fa-lg"></span></a></li>
<li class="nav-item dropdown">
  <button class="nav-link dropdown-toggle" type="button" id="dropdown-lightswitch" data-bs-toggle="dropdown" aria-expanded="false" aria-haspopup="true" aria-label="Light switch"><span class="fa fa-sun"></span></button>
  <ul class="dropdown-menu dropdown-menu-end" aria-labelledby="dropdown-lightswitch"><li><button class="dropdown-item" data-bs-theme-value="light"><span class="fa fa-sun"></span> Light</button></li>
    <li><button class="dropdown-item" data-bs-theme-value="dark"><span class="fa fa-moon"></span> Dark</button></li>
    <li><button class="dropdown-item" data-bs-theme-value="auto"><span class="fa fa-adjust"></span> Auto</button></li>
  </ul></li>
      </ul></div>


  </div>
</nav><div class="container template-reference-index">
<div class="row">
  <main id="main" class="col-md-9"><div class="page-header">

      <h1>Package index</h1>
    </div>

    <div class="section level2">
      <h2 id="referendum-data">Referendum data<a class="anchor" aria-label="anchor" href="#referendum-data"></a></h2>




    </div><div class="section level2">




      <dl><dt>

          <code><a href="rfrnds.html">rfrnds()</a></code>

        </dt>
        <dd>Get referendum data (old version)</dd>
      </dl><dl><dt>

          <code><a href="rfrnds_bkp.html">rfrnds_bkp()</a></code>

        </dt>
        <dd>Get referendum data from backup</dd>
      </dl><dl><dt>

          <code><a href="rfrnd.html">rfrnd()</a></code>

        </dt>
        <dd>Get a single referendum's data</dd>
      </dl><dl><dt>

          <code><a href="download_file_attachment.html">download_file_attachment()</a></code>

        </dt>
        <dd>Download file attachment</dd>
      </dl><dl><dt>

          <code><a href="add_rfrnds.html">add_rfrnds()</a></code>

        </dt>
        <dd>Add new referendums to the RDB</dd>
      </dl><dl><dt>

          <code><a href="edit_rfrnds.html">edit_rfrnds()</a></code>

        </dt>
        <dd>Edit existing referendums in the RDB</dd>
      </dl><dl><dt>

          <code><a href="delete_rfrnds.html">delete_rfrnds()</a></code>

        </dt>
        <dd>Delete referendums in the RDB</dd>
      </dl><dl><dt>

          <code><a href="validate_rfrnds.html">validate_rfrnds()</a></code>

        </dt>
        <dd>Validate referendum data</dd>
      </dl><dl><dt>

          <code><a href="count_rfrnds.html">count_rfrnds()</a></code>

        </dt>
        <dd>Count number of referendums</dd>
      </dl><dl><dt>

          <code><a href="rfrnd_exists.html">rfrnd_exists()</a></code>

        </dt>
        <dd>Test if referendum ID exists</dd>
      </dl><dl><dt>

          <code><a href="assert_vars.html">assert_vars()</a></code>

        </dt>
        <dd>Assert referendum variables are present</dd>
      </dl></div><div class="section level2">
      <h2 id="referendum-metadata">Referendum metadata<a class="anchor" aria-label="anchor" href="#referendum-metadata"></a></h2>




    </div><div class="section level2">




      <dl><dt>

          <code><a href="data_codebook.html">data_codebook</a></code>

        </dt>
        <dd>RDB Codebook</dd>
      </dl><dl><dt>

          <code><a href="val_lbls.html">val_lbls()</a></code>

        </dt>
        <dd>Get set of possible <em>value labels</em> of referendum data variable</dd>
      </dl><dl><dt>

          <code><a href="val_scale.html">val_scale()</a></code>

        </dt>
        <dd>Get <em>value scale</em> of referendum data variables</dd>
      </dl><dl><dt>

          <code><a href="var_vals.html">var_vals()</a></code>

        </dt>
        <dd>Get set of possible <em>values</em> of referendum data variable</dd>
      </dl><dl><dt>

          <code><a href="var_name_unnested.html">var_name_unnested()</a></code>

        </dt>
        <dd>Get unnested variable names</dd>
      </dl><dl><dt>

          <code><a href="prettify_var_names.html">prettify_var_names()</a></code>

        </dt>
        <dd>Prettify referendum data variable names</dd>
      </dl></div><div class="section level2">
      <h2 id="referendum-topics">Referendum topics<a class="anchor" aria-label="anchor" href="#referendum-topics"></a></h2>

      <div class="section-desc"><p>Functions to work with referendum <a href="https://rdb.rpkg.dev/articles/codebook.html#topics">topics</a>.</p></div>


    </div><div class="section level2">




      <dl><dt>

          <code><a href="data_topics.html">data_topics</a></code>

        </dt>
        <dd>Topic hierarchy</dd>
      </dl><dl><dt>

          <code><a href="topics.html">topics()</a></code>

        </dt>
        <dd>List available topics</dd>
      </dl><dl><dt>

          <code><a href="hierarchize_topics.html">hierarchize_topics()</a></code>

        </dt>
        <dd>Hierarchize topics</dd>
      </dl><dl><dt>

          <code><a href="hierarchize_topics_fast.html">hierarchize_topics_fast()</a></code>

        </dt>
        <dd>Hierarchize topics (fast)</dd>
      </dl><dl><dt>

          <code><a href="infer_topics.html">infer_topics()</a></code>

        </dt>
        <dd>Infer higher-tier topics</dd>
      </dl></div><div class="section level2">
      <h2 id="augmentation">Augmentation<a class="anchor" aria-label="anchor" href="#augmentation"></a></h2>

      <div class="section-desc"><p>Functions to augment the RDB referendum data by additional information (columns).</p></div>


    </div><div class="section level2">




      <dl><dt>

          <code><a href="add_former_country_flag.html">add_former_country_flag()</a></code>

        </dt>
        <dd>Add <code>is_former_country</code> flag to referendum data</dd>
      </dl><dl><dt>

          <code><a href="add_country_code_continual.html">add_country_code_continual()</a></code>

        </dt>
        <dd>Add continual country code to referendum data</dd>
      </dl><dl><dt>

          <code><a href="add_country_code_long.html">add_country_code_long()</a></code>

        </dt>
        <dd>Add long country code to referendum data</dd>
      </dl><dl><dt>

          <code><a href="add_country_name.html">add_country_name()</a></code>

        </dt>
        <dd>Add short country name to referendum data</dd>
      </dl><dl><dt>

          <code><a href="add_country_name_long.html">add_country_name_long()</a></code>

        </dt>
        <dd>Add long country name to referendum data</dd>
      </dl><dl><dt>

          <code><a href="add_period.html">add_period()</a></code>

        </dt>
        <dd>Add period to referendum data</dd>
      </dl><dl><dt>

          <code><a href="add_turnout.html">add_turnout()</a></code>

        </dt>
        <dd>Add turnout to referendum data</dd>
      </dl><dl><dt>

          <code><a href="add_world_regions.html">add_world_regions()</a></code>

        </dt>
        <dd>Add UN world regions to referendum data</dd>
      </dl><dl><dt>

          <code><a href="add_urls.html">add_urls()</a></code>

        </dt>
        <dd>Add various URLs to referendum data</dd>
      </dl></div><div class="section level2">
      <h2 id="transformation">Transformation<a class="anchor" aria-label="anchor" href="#transformation"></a></h2>

      <div class="section-desc"><p>Functions to transform the RDB referendum data into other shapes, each with a specific purpose.</p></div>


    </div><div class="section level2">




      <dl><dt>

          <code><a href="as_ballot_dates.html">as_ballot_dates()</a></code>

        </dt>
        <dd>Transform to ballot-date-level observations</dd>
      </dl><dl><dt>

          <code><a href="unnest_var.html">unnest_var()</a></code>

        </dt>
        <dd>Unnest multi-value variable</dd>
      </dl><dl><dt>

          <code><a href="n_rfrnds.html">n_rfrnds()</a></code>

        </dt>
        <dd>Count number of referendums</dd>
      </dl><dl><dt>

          <code><a href="n_rfrnds_per_period.html">n_rfrnds_per_period()</a></code>

        </dt>
        <dd>Count number of referendums per period</dd>
      </dl><dl><dt>

          <code><a href="prettify_col_names.html">prettify_col_names()</a></code>

        </dt>
        <dd>Prettify referendum data column names</dd>
      </dl></div><div class="section level2">
      <h2 id="visualization">Visualization<a class="anchor" aria-label="anchor" href="#visualization"></a></h2>

      <div class="section-desc"><p>Functions to visualize the RDB referendum data (using <a href="https://plotly-r.com/" class="external-link">plotly</a>).</p></div>


    </div><div class="section level2">




      <dl><dt>

          <code><a href="plot_rfrnd_share_per_period.html">plot_rfrnd_share_per_period()</a></code>

        </dt>
        <dd>Referendum share per period stacked area chart</dd>
      </dl><dl><dt>

          <code><a href="plot_topic_segmentation.html">plot_topic_segmentation()</a></code>

        </dt>
        <dd>Topic segmentation sunburst chart</dd>
      </dl><dl><dt>

          <code><a href="plot_topic_share_per_period.html">plot_topic_share_per_period()</a></code>

        </dt>
        <dd>Topic share per period stacked area chart</dd>
      </dl><dl><dt>

          <code><a href="ggplot_streamgraph.html">ggplot_streamgraph()</a></code>

        </dt>
        <dd>Period streamgraph</dd>
      </dl></div><div class="section level2">
      <h2 id="tabulation">Tabulation<a class="anchor" aria-label="anchor" href="#tabulation"></a></h2>

      <div class="section-desc"><p>Functions to create analyses in tabular form (using <a href="https://gt.rstudio.com/" class="external-link">gt</a> tables).</p></div>


    </div><div class="section level2">




      <dl><dt>

          <code><a href="tbl_n_rfrnds.html">tbl_n_rfrnds()</a></code>

        </dt>
        <dd>Tabulate number of referendums</dd>
      </dl><dl><dt>

          <code><a href="tbl_n_rfrnds_per_period.html">tbl_n_rfrnds_per_period()</a></code>

        </dt>
        <dd>Tabulate number of referendums per period</dd>
      </dl></div><div class="section level2">
      <h2 id="sudd-ch-scraping">sudd.ch scraping<a class="anchor" aria-label="anchor" href="#sudd-ch-scraping"></a></h2>

      <div class="section-desc"><p>Functions to scrape the data from the <a href="https://sudd.ch/" class="external-link">sudd.ch</a> database.</p></div>


    </div><div class="section level2">




      <dl><dt>

          <code><a href="list_sudd_territories.html">list_sudd_territories()</a></code>

        </dt>
        <dd>List referendum territories from <a href="https://sudd.ch/" class="external-link">sudd.ch</a></dd>
      </dl><dl><dt>

          <code><a href="list_sudd_titles.html">list_sudd_titles()</a></code>

        </dt>
        <dd>List referendum titles from <a href="https://sudd.ch/" class="external-link">sudd.ch</a></dd>
      </dl><dl><dt>

          <code><a href="list_sudd_rfrnds.html">list_sudd_rfrnds()</a></code>

        </dt>
        <dd>List referendum data from <a href="https://sudd.ch/" class="external-link">sudd.ch</a></dd>
      </dl><dl><dt>

          <code><a href="sudd_rfrnds.html">sudd_rfrnds()</a></code>

        </dt>
        <dd>Get referendum data from <a href="https://sudd.ch/" class="external-link">sudd.ch</a></dd>
      </dl></div><div class="section level2">
      <h2 id="miscellaneous">Miscellaneous<a class="anchor" aria-label="anchor" href="#miscellaneous"></a></h2>




    </div><div class="section level2">




      <dl><dt>

          <code><a href="is_online.html">is_online()</a></code>

        </dt>
        <dd>Test RDB API availability</dd>
      </dl><dl><dt>

          <code><a href="funky_config.html">funky_config</a></code>

        </dt>
        <dd>rdb package configuration metadata</dd>
      </dl></div>
  </main><aside class="col-md-3"><nav id="toc" aria-label="Table of contents"><h2>On this page</h2>
    </nav></aside></div>


    <footer><div class="pkgdown-footer-left">
  <p>Developed by Salim Brüggemann, Uwe Serdült.</p>
</div>

<div class="pkgdown-footer-right">
  <p>Site built with <a href="https://pkgdown.r-lib.org/" class="external-link">pkgdown</a> 2.1.1.9000.</p>
</div>

    </footer></div>





  </body></html>

